//Anna Carla Barreto Fernandes
#include <string.h>
#include <stdio.h>

char *compactar(char *s){
    // declaração de variavel
    int i=0, z=0, inicio, fim;
    int cont;
    cont = 0;
    // enquanto um vetor qualquer ache o caracter em branco, contador recebe +1
    while (s[i]==' '){
     cont++;
     i ++;
     }
     // variavel inicio = cont para encontrar o tamanho do vetor novo
    inicio = cont;
    // i= strlen para descobrir os espaços em branco no final do vetor inicial
    i = strlen(s);
    // while para contar onde será o final do vetor
    // como o vetor tem i posições mas começa de 0, coloquei para começar a comparar em i-1, que corresponde a ultima caracter no vetor
    while (s[i-1]==' '){
        i--;
    }
    // fim é igual ao tamanhop do vetor novo
    fim = i - inicio;
    char *p;
    p = (char *) malloc(fim *sizeof(char)+1);
    // "vai escrever o vetor novo"
    for (i=inicio; z<fim; i++, z++){
        p[z]= s [i];
    }
    p[z]='\0';
    return p;

}

int main(){
    char s[50];
    char *novo;
    gets(s);
    novo = compactar(s);
    printf("%s", novo);
    //teste de errp
    printf(".");
}
